Subject: Re: bug#8104: automake suggests use of AC_PROG_LIBTOOL, this has been replaced by LT_INIT

From: Stefano Lattarini <[email-masked]>
Date: Sat, 26 Feb 2011 14:08:39 +0100

On Saturday 26 February 2011, Ralf Wildenhues wrote:
> * Stefano Lattarini wrote on Thu, Feb 24, 2011 at 10:45:11AM CET:
> > I agree with Jack that advertising the use of LT_INIT would be better,
> > since, according to Libtool NEWS file, that has obsoleted AC_PROG_LIBTOOL
> > since version 1.9b (2004-08-29).
> 
> Yes.  There are still 1.5.x users out there, but my patience with them
> is starting to go down.
> 
> > What about the attached patch (for maint)?
> 
> Yes, if it has been tested that it will skip when Libtool 1.5.x macros
> are in place.
>
Done now, it works.

BTW, such kind of checks would be much easier to perform with Paolo's
pending patch for ACLOCAL_PATH support in place; pointer:
 <http://lists.gnu.org/archive/html/automake-patches/2010-11/msg00089.html>

> LT_PREREQ has been introduced in 1.9b only.  Also, I
> think that if the LT_PREREQ check fails, it will fail already
> at aclocal run time,
>
Oops, I dind't think of that.

> but I am not sure of that.
>
Better play safe anyway IMHO.  What about the following squash-in?

-*-*-

diff --git a/tests/ltinit.test b/tests/ltinit.test
index d646bc9..288a186 100755
--- a/tests/ltinit.test
+++ b/tests/ltinit.test
@@ -25,7 +25,6 @@ set -e
 
 cat >>configure.in <<'END'
 AC_PROG_CC
-LT_PREREQ([2.0])
 LT_INIT([dlopen])
 AC_OUTPUT
 END
@@ -43,9 +42,9 @@ END
 
 libtoolize
 $ACLOCAL
-
-$AUTOCONF || { if $? -eq 63; then Exit 77; else Exit 1; fi; }
-$EGREP '^LT_(INIT|PREREQ)' configure && Exit 77
+$AUTOCONF
+# Skip if older libtool (pre-2.0) is used.
+$EGREP '^LT_INIT' configure && Exit 77
 
 $AUTOMAKE -a

-*-*-

> Thanks,
> Ralf
I'll push in 72 hours if there are no more objections.

Regards,
  Stefano